using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CLPersone;

namespace AppWindows
{
    public partial class frmPrincipale : Form
    {

        Persone persone;
        
        public frmPrincipale()
        {
            InitializeComponent();
            persone = new Persone();
        }

        private void inserimentoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmInserimento formInserimento = new frmInserimento();

            DialogResult scelta = formInserimento.ShowDialog();

            if (scelta == DialogResult.OK)
            {
                try
                {
                    persone.Add(formInserimento.Persona);
                    MessageBox.Show("Inserimento effettuato con successo", "Notifica Inserimento", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
                catch (Exception)
                {
                    MessageBox.Show("Elemento già presente", "Notifica Inserimento", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                
            }
        }

        private void esciToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void visualizzazioneToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmVisualizzazione formVisualizzazione = new frmVisualizzazione();
            formVisualizzazione.CaricaDataSource(persone);
            formVisualizzazione.ShowDialog();
        }

        
    }
}
